org.apache.commons.imaging.formats.tiff.constants

## Class Tiff4TagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.Tiff4TagConstants

-     public final class Tiff4TagConstants
      extends Object

  Tags in TIFF4 but NOT in TIFF6.
  http://cool.conservation-us.org/bytopic/imaging/std/tiff4.html

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<TagInfo>` | `ALL_TIFF_4_TAGS`
    `static int` | `COLOR_RESPONSE_UNIT_VALUE_0_00001`
    `static int` | `COLOR_RESPONSE_UNIT_VALUE_0_0001`
    `static int` | `COLOR_RESPONSE_UNIT_VALUE_0_001`
    `static int` | `COLOR_RESPONSE_UNIT_VALUE_0_01`
    `static int` | `COLOR_RESPONSE_UNIT_VALUE_0_1`
    `static TagInfoShort` | `TIFF_TAG_COLOR_RESPONSE_UNIT`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIFF_TAG_COLOR_RESPONSE_UNIT

          public static final TagInfoShort TIFF_TAG_COLOR_RESPONSE_UNIT

    - #### COLOR_RESPONSE_UNIT_VALUE_0_1

          public static final int COLOR_RESPONSE_UNIT_VALUE_0_1

      See Also:
        Constant Field Values

    - #### COLOR_RESPONSE_UNIT_VALUE_0_01

          public static final int COLOR_RESPONSE_UNIT_VALUE_0_01

      See Also:
        Constant Field Values

    - #### COLOR_RESPONSE_UNIT_VALUE_0_001

          public static final int COLOR_RESPONSE_UNIT_VALUE_0_001

      See Also:
        Constant Field Values

    - #### COLOR_RESPONSE_UNIT_VALUE_0_0001

          public static final int COLOR_RESPONSE_UNIT_VALUE_0_0001

      See Also:
        Constant Field Values

    - #### COLOR_RESPONSE_UNIT_VALUE_0_00001

          public static final int COLOR_RESPONSE_UNIT_VALUE_0_00001

      See Also:
        Constant Field Values

    - #### ALL_TIFF_4_TAGS

          public static final List<TagInfo> ALL_TIFF_4_TAGS

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.